## czmq 4.2.1

=== CMakeLists.txt ===
################################################################################
#  THIS FILE IS 100% GENERATED BY ZPROJECT; DO NOT EDIT EXCEPT EXPERIMENTALLY  #
#  Read the zproject/README.md for information about making permanent changes. #
################################################################################

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.8.12)
project(czmq)
enable_language(C)
enable_testing()

set(SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}")
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
# Select flags
if(MSVC)
    SET(CMAKE_C_FLAGS_RELEASE "/O2")
else()
    SET(CMAKE_C_FLAGS_RELEASE "-O3")
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/builds/cmake/Modules)

# Will be used to add flags to pkg-config useful when apps want to statically link
set(pkg_config_libs_private "")
set(pkg_config_names_private "")

########################################################################
# options
########################################################################
if (NOT CMAKE_BUILD_TYPE)
    if (EXISTS "${SOURCE_DIR}/.git")
        set (CMAKE_BUILD_TYPE Debug)
    else ()
# http://xit0.org/2013/04/cmake-use-git-branch-and-commit-details-in-project/
# http://stackoverflow.com/questions/6797395/cmake-execute-process-always-fails-with-no-such-file-or-directory-when-i-cal
        execute_process(
            COMMAND git rev-parse --show-toplevel
            WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
            RESULT_VARIABLE git_result
            OUTPUT_VARIABLE git_root
            OUTPUT_STRIP_TRAILING_WHITESPACE
        )
        message(STATUS "git workspace root [${git_result}]: ${git_root}")
        if ( "${git_result}" STREQUAL "0" )
            set (CMAKE_BUILD_TYPE Debug)
        else ()
            set (CMAKE_BUILD_TYPE Release)
        endif ()
    endif ()
endif ()
if (${CMAKE_BUILD_TYPE} STREQUAL "Debug")
    OPTION (ENABLE_DRAFTS "Build and install draft classes and methods" ON)
else ()
    OPTION (ENABLE_DRAFTS "Build and install draft classes and methods" OFF)
endif ()
IF (ENABLE_DRAFTS)
    ADD_DEFINITIONS (-DCZMQ_BUILD_DRAFT_API)
ENDIF (ENABLE_DRAFTS)

########################################################################
# platform.h
########################################################################
include(CheckIncludeFile)
CHECK_INCLUDE_FILE("linux/wireless.h" HAVE_LINUX_WIRELESS_H)
CHECK_INCLUDE_FILE("net/if_media.h" HAVE_NET_IF_MEDIA_H)

include(CheckFunctionExists)
CHECK_FUNCTION_EXISTS("getifaddrs" HAVE_GETIFADDRS)
CHECK_FUNCTION_EXISTS("freeifaddrs" HAVE_FREEIFADDRS)

include(CheckIncludeFiles)
check_include_files("sys/socket.h;net/if.h" HAVE_NET_IF_H)
if (NOT HAVE_NET_IF_H)
    CHECK_INCLUDE_FILE("net/if.h" HAVE_NET_IF_H)
endif()

include(CheckSymbolExists)
check_symbol_exists(AI_V4MAPPED "czmq.h" HAVE_DECL_AI_V4MAPPED)

file(REMOVE "${SOURCE_DIR}/src/platform.h")

file(WRITE "${PROJECT_BINARY_DIR}/platform.h.in" "
#cmakedefine HAVE_LINUX_WIRELESS_H
#cmakedefine HAVE_NET_IF_H
#cmakedefine HAVE_NET_IF_MEDIA_H
#cmakedefine HAVE_GETIFADDRS
#cmakedefine HAVE_FREEIFADDRS
#cmakedefine01 HAVE_DECL_AI_V4MAPPED
")

configure_file("${PROJECT_BINARY_DIR}/platform.h.in" "${PROJECT_BINARY_DIR}/platform.h")

if (WIN32)
    #The MSVC C compiler is too out of date,
    #so the sources have to be compiled as c++
    if (MSVC AND NOT (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
        enable_language(CXX)
        file(GLOB sources "${SOURCE_DIR}/src/*.c")
        set_source_files_properties(
            ${sources}
            PROPERTIES LANGUAGE CXX
        )
    endif()
    set(MORE_LIBRARIES ws2_32 Rpcrt4 Iphlpapi)
endif()

# specific case of windows UWP
if( "${CMAKE_SYSTEM_NAME}" STREQUAL "WindowsStore" AND "${CMAKE_SYSTEM_VERSION}" STREQUAL "10.0")
  ADD_DEFINITIONS(-DZMQ_HAVE_WINDOWS_UWP)
  ADD_DEFINITIONS(-D_WIN32_WINNT=_WIN32_WINNT_WIN10)
endif()


# required libraries for mingw
if (MINGW)
    set(MORE_LIBRARIES -lws2_32 -lrpcrt4 -liphlpapi)
endif()

# required libraries for cygwin
if (CYGWIN)
    set(MORE_LIBRARIES)
endif()

list(APPEND CMAKE_MODULE_PATH "${SOURCE_DIR}")
set(OPTIONAL_LIBRARIES)
set(OPTIONAL_LIBRARIES_STATIC)

########################################################################
# LIBZMQ dependency
########################################################################
find_package(libzmq REQUIRED)
IF (LIBZMQ_FOUND)
    include_directories(${LIBZMQ_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${LIBZMQ_LIBRARIES})
  IF (PC_LIBZMQ_FOUND)
      set(pkg_config_names_private "${pkg_config_names_private} libzmq")
      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LIBZMQ_STATIC_LDFLAGS})
  ELSE (PC_LIBZMQ_FOUND)
      set(pkg_config_libs_private "${pkg_config_libs_private} -lzmq")
  ENDIF (PC_LIBZMQ_FOUND)
ELSE (LIBZMQ_FOUND)
    message( FATAL_ERROR "libzmq not found." )
ENDIF (LIBZMQ_FOUND)

########################################################################
# UUID dependency
########################################################################
find_package(uuid)
option(CZMQ_WITH_UUID "Build czmq with uuid" ${UUID_FOUND})
IF (CZMQ_WITH_UUID AND UUID_FOUND)
    include_directories(${UUID_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${UUID_LIBRARIES})
  IF (PC_UUID_FOUND)
      set(pkg_config_names_private "${pkg_config_names_private} uuid")
      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_UUID_STATIC_LDFLAGS})
  ELSE (PC_UUID_FOUND)
      set(pkg_config_libs_private "${pkg_config_libs_private} -luuid")
  ENDIF (PC_UUID_FOUND)
    add_definitions(-DHAVE_UUID)
    list(APPEND OPTIONAL_LIBRARIES ${UUID_LIBRARIES})
ENDIF (CZMQ_WITH_UUID AND UUID_FOUND)

########################################################################
# SYSTEMD dependency
########################################################################
find_package(systemd)
option(CZMQ_WITH_SYSTEMD "Build czmq with systemd" ${SYSTEMD_FOUND})
IF (CZMQ_WITH_SYSTEMD AND SYSTEMD_FOUND)
    include_directories(${SYSTEMD_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${SYSTEMD_LIBRARIES})
  IF (PC_SYSTEMD_FOUND)
      set(pkg_config_names_private "${pkg_config_names_private} libsystemd >= 200.0.0")
      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_SYSTEMD_STATIC_LDFLAGS})
  ELSE (PC_SYSTEMD_FOUND)
      set(pkg_config_libs_private "${pkg_config_libs_private} -lsystemd")
  ENDIF (PC_SYSTEMD_FOUND)
    add_definitions(-DHAVE_LIBSYSTEMD)
    list(APPEND OPTIONAL_LIBRARIES ${SYSTEMD_LIBRARIES})
ENDIF (CZMQ_WITH_SYSTEMD AND SYSTEMD_FOUND)

########################################################################
# LZ4 dependency
########################################################################
find_package(lz4)
option(CZMQ_WITH_LZ4 "Build czmq with lz4" ${LZ4_FOUND})
IF (CZMQ_WITH_LZ4 AND LZ4_FOUND)
    include_directories(${LZ4_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${LZ4_LIBRARIES})
  IF (PC_LZ4_FOUND)
      set(pkg_config_names_private "${pkg_config_names_private} liblz4")
      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LZ4_STATIC_LDFLAGS})
  ELSE (PC_LZ4_FOUND)
      set(pkg_config_libs_private "${pkg_config_libs_private} -llz4")
  ENDIF (PC_LZ4_FOUND)
    add_definitions(-DHAVE_LIBLZ4)
    list(APPEND OPTIONAL_LIBRARIES ${LZ4_LIBRARIES})
ENDIF (CZMQ_WITH_LZ4 AND LZ4_FOUND)

########################################################################
# LIBCURL dependency
########################################################################
find_package(libcurl)
option(CZMQ_WITH_LIBCURL "Build czmq with libcurl" ${LIBCURL_FOUND})
IF (CZMQ_WITH_LIBCURL AND LIBCURL_FOUND)
    include_directories(${LIBCURL_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${LIBCURL_LIBRARIES})
  IF (PC_LIBCURL_FOUND)
      set(pkg_config_names_private "${pkg_config_names_private} libcurl >= 7.28.0")
      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LIBCURL_STATIC_LDFLAGS})
  ELSE (PC_LIBCURL_FOUND)
      set(pkg_config_libs_private "${pkg_config_libs_private} -lcurl")
  ENDIF (PC_LIBCURL_FOUND)
    add_definitions(-DHAVE_LIBCURL)
    list(APPEND OPTIONAL_LIBRARIES ${LIBCURL_LIBRARIES})
ENDIF (CZMQ_WITH_LIBCURL AND LIBCURL_FOUND)

########################################################################
# NSS dependency
########################################################################
find_package(nss)
option(CZMQ_WITH_NSS "Build czmq with nss" ${NSS_FOUND})
IF (CZMQ_WITH_NSS AND NSS_FOUND)
    include_directories(${NSS_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${NSS_LIBRARIES})
  IF (PC_NSS_FOUND)
      set(pkg_config_names_private "${pkg_config_names_private} nss")
      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_NSS_STATIC_LDFLAGS})
  ELSE (PC_NSS_FOUND)
      set(pkg_config_libs_private "${pkg_config_libs_private} -lnss")
  ENDIF (PC_NSS_FOUND)
    add_definitions(-DHAVE_NSS)
    list(APPEND OPTIONAL_LIBRARIES ${NSS_LIBRARIES})
ENDIF (CZMQ_WITH_NSS AND NSS_FOUND)

########################################################################
# LIBMICROHTTPD dependency
########################################################################
find_package(libmicrohttpd)
option(CZMQ_WITH_LIBMICROHTTPD "Build czmq with libmicrohttpd" ${LIBMICROHTTPD_FOUND})
IF (CZMQ_WITH_LIBMICROHTTPD AND LIBMICROHTTPD_FOUND)
    include_directories(${LIBMICROHTTPD_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${LIBMICROHTTPD_LIBRARIES})
  IF (PC_LIBMICROHTTPD_FOUND)
      set(pkg_config_names_private "${pkg_config_names_private} libmicrohttpd")
      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LIBMICROHTTPD_STATIC_LDFLAGS})
  ELSE (PC_LIBMICROHTTPD_FOUND)
      set(pkg_config_libs_private "${pkg_config_libs_private} -lmicrohttpd")
  ENDIF (PC_LIBMICROHTTPD_FOUND)
    add_definitions(-DHAVE_LIBMICROHTTPD)
    list(APPEND OPTIONAL_LIBRARIES ${LIBMICROHTTPD_LIBRARIES})
ENDIF (CZMQ_WITH_LIBMICROHTTPD AND LIBMICROHTTPD_FOUND)

########################################################################
# version
########################################################################
set(CZMQ_VERSION_MAJOR 4)
set(CZMQ_VERSION_MINOR 2)
set(CZMQ_VERSION_PATCH 1)
set(CZMQ_VERSION "${CZMQ_VERSION_MAJOR}.${CZMQ_VERSION_MINOR}.${CZMQ_VERSION_PATCH}")
message(STATUS "Detected CZMQ Version - ${CZMQ_VERSION}")


########################################################################
# includes
########################################################################
set (czmq_headers
    include/czmq_library.h
    include/czmq_prelude.h
    include/czmq.h
    include/zactor.h
    include/zarmour.h
    include/zcert.h
    include/zcertstore.h
    include/zchunk.h
    include/zclock.h
    include/zconfig.h
    include/zdigest.h
    include/zdir.h
    include/zdir_patch.h
    include/zfile.h
    include/zframe.h
    include/zhash.h
    include/zhashx.h
    include/ziflist.h
    include/zlist.h
    include/zlistx.h
    include/zloop.h
    include/zmsg.h
    include/zpoller.h
    include/zsock.h
    include/zstr.h
    include/zsys.h
    include/zuuid.h
    include/zauth.h
    include/zbeacon.h
    include/zgossip.h
    include/zmonitor.h
    include/zproxy.h
    include/zrex.h
    src/zgossip_msg.h
    src/zsock_option.inc
    src/zgossip_engine.inc
    src/zhash_primes.inc
    src/foreign/sha1/sha1.inc_c
    src/foreign/sha1/sha1.h
    src/foreign/slre/slre.inc_c
    src/foreign/slre/slre.h
    src/foreign/slre/readme.txt
)

IF (ENABLE_DRAFTS)
    list(APPEND czmq_headers
        include/zargs.h
        include/zproc.h
        include/ztimerset.h
        include/ztrie.h
        include/zhttp_client.h
        include/zhttp_server.h
        include/zhttp_server_options.h
        include/zhttp_request.h
        include/zhttp_response.h
        include/zosc.h
    )
ENDIF (ENABLE_DRAFTS)

source_group ("Header Files" FILES ${czmq_headers})
install(FILES ${czmq_headers} DESTINATION include)
