=== debian/changelog ===
czmq (4.2.1-3devuan1) unstable; urgency=medium

  * Merge 4.2.1-3 into Devuan

 -- Sebastian Dalfuß <devuan@sedf.de>  Tue, 22 Apr 2025 20:45:34 +0100

czmq (4.2.1-3) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.7.0, no changes
  * Update d/watch to use Github API
  * Drop obsolete provides/breaks/replaces/pre-depends

 -- Luca Boccassi <bluca@debian.org>  Fri, 24 May 2024 23:18:17 +0100

czmq (4.2.1-2devuan1) unstable; urgency=medium

  * Merge 4.2.1-2 into Devuan

 -- Sebastian Dalfuß <devuan@sedf.de>  Sun, 10 Mar 2024 19:38:34 +0100

czmq (4.2.1-2) unstable; urgency=medium

  * Undo 4.2.1-1.1. There are only 3 symbols with time_t, and they are not
    used in the distribution. Avoid to carry the package rename forever.
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.2, no changes
  * Bump copyright year ranges in d/copyright
  * Switch to pkgconf
  * Update Lintian overrides

 -- Luca Boccassi <bluca@debian.org>  Sat, 02 Mar 2024 23:04:16 +0000

czmq (4.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061997

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 27 Feb 2024 23:44:09 +0000

czmq (4.2.1-1devuan1) unstable; urgency=medium

  * Fork for Devuan
  * Remove build dependency of libsystemd-dev
  * Remove dependency of libsystemd-dev for libczmq-dev (Closes: #622) 

 -- Sebastian Dalfuß <devuan@sedf.de>  Sun, 27 Nov 2022 11:15:22 +0100

czmq (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
  * Switch to debhelper-compat 12
  * Switch to watch version 4, no changes
  * Bump Standards-Version to 4.5.1, no changes
  * Add d/upstream/metadata file
  * Drop libczmq-dbg migration boilerplate
  * Add build-dependency on libnss3-dev
  * Update symbols file
  * Remove tabs from d/copyright
  * Update d/source/lintian-overrides
  * Use Build-Depends-Package in symbols file

 -- Luca Boccassi <bluca@debian.org>  Sun, 17 Jan 2021 15:51:51 +0000
