=== debian/control ===
Source: czmq
Priority: optional
Maintainer: Sebastian Dalfuß <devuan@sedf.de>
Build-Depends: debhelper-compat (= 13),
 pkgconf,
 libnss3-dev,
 libzmq3-dev,
 uuid-dev,
 asciidoc-base <!nodoc> | asciidoc <!nodoc>,
 xmlto <!nodoc>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: libs
Homepage: http://czmq.zeromq.org/
Vcs-Git: https://git.devuan.org/devuan/czmq.git
Vcs-Browser: https://git.devuan.org/devuan/czmq
Origin: Devuan

Package: libczmq4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: High-level C binding for ZeroMQ
 czmq (previously known as libzapi) provides a high-level C binding for
 0MQ, a lightweight messaging library.
 .
 This library provides higher level abstractions on top of the base
 library, with features such as:
  * Work with messages as strings, individual frames, or multipart messages.
  * Automatic closure of any open sockets at context termination.
  * Automatic LINGER configuration of all sockets for context termination.
  * Portable API for creating child threads and ØMQ pipes to talk to them.
  * Simple reactor with one-off and repeated timers, and socket readers.
  * System clock functions for sleeping and calculating timers.
  * Easy API to get/set all socket options.
  * Includes generic hash and list containers.

Package: libczmq-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libnss3-dev,
         libzmq3-dev,
         uuid-dev,
         libczmq4 (= ${binary:Version})
Multi-Arch: same
Description: High-level C binding for ZeroMQ (development files)
 czmq (previously known as libzapi) provides a high-level C binding for
 0MQ, a lightweight messaging library.
 .
 This library provides higher level abstractions on top of the base
 library, with features such as:
  * Work with messages as strings, individual frames, or multipart messages.
  * Automatic closure of any open sockets at context termination.
  * Automatic LINGER configuration of all sockets for context termination.
  * Portable API for creating child threads and ØMQ pipes to talk to them.
  * Simple reactor with one-off and repeated timers, and socket readers.
  * System clock functions for sleeping and calculating timers.
  * Easy API to get/set all socket options.
  * Includes generic hash and list containers.
 .
 This package provides the development files for czmq.
