## czmq 4.2.1+git20260114

=== debian/changelog ===
czmq (4.2.1+git20260114-0) UNRELEASED; urgency=low

  * Initial packaging.

 -- czmq Developers <zeromq-dev@lists.zeromq.org>  Wed, 31 Dec 2014 00:00:00 +0000
