=== debian/control ===
#
#    czmq - The high-level C binding for 0MQ
#
#    Copyright (c) the Contributors as noted in the AUTHORS file.
#    This file is part of CZMQ, the high-level C binding for 0MQ:
#    http://czmq.zeromq.org.
#
#    This Source Code Form is subject to the terms of the Mozilla Public
#    License, v. 2.0. If a copy of the MPL was not distributed with this
#    file, You can obtain one at http://mozilla.org/MPL/2.0/.

Source:         czmq
Section:        net
Priority:       optional
Maintainer:     czmq Developers <zeromq-dev@lists.zeromq.org>
Standards-Version: 4.0.1.0
Build-Depends: debhelper-compat (= 12),
    pkgconf | pkg-config,
    libzmq3-dev,
    uuid-dev,
    libsystemd-dev (>= 200.0.0),
    liblz4-dev,
    libcurl4-gnutls-dev (>= 7.28.0),
    libnss3-dev,
    libmicrohttpd-dev,
    dh-python <!nopython>,
    python3-all-dev <!nopython>, python3-cffi <!nopython>, python3-setuptools <!nopython>,
    asciidoc-base <!nodoc>, xmlto <!nodoc>,

Package: libczmq4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: czmq shared library
 This package contains shared library for czmq:
 the high-level c binding for 0mq

Package: libczmq-dev
Architecture: any
Section: libdevel
Depends:
    ${misc:Depends},
    libzmq3-dev,
    uuid-dev,
    libsystemd-dev (>= 200.0.0),
    liblz4-dev,
    libcurl4-gnutls-dev (>= 7.28.0),
    libnss3-dev,
    libmicrohttpd-dev,
    libczmq4 (= ${binary:Version})
Description: czmq development tools
 This package contains development files for czmq:
 the high-level c binding for 0mq

Package: czmq
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: runnable binaries from czmq
 Main package for czmq:
 the high-level c binding for 0mq

Package: czmq-dbg
Architecture: any
Section: debug
Priority: optional
Depends:
    czmq (= ${binary:Version}),
    ${misc:Depends}
Description: czmq debugging symbols
 This package contains the debugging symbols for czmq:
 the high-level c binding for 0mq.

Package: python3-czmq-cffi
Architecture: any
Section: python
Depends:
    libczmq4 (= ${binary:Version}),
    ${misc:Depends}, ${shlibs:Depends},
    ${python3:Depends}, python3-cffi,
Description: Python 3 CFFI bindings for czmq
 This package contains Python 3 CFFI bindings for czmq.
